Browse Source

merge with debian-sid, update-po for manpages and fix a few more

typos in doc/po/es.po to generate the manpages properly.

[ Christian Perrier ]
* German translation update. Closes: #571037
* Spanish manpages translation update. Closes: #573293

[ Julian Andres Klode ]
* cmdline/apt-mark:
  - Use the new python-apt API (and conflict with python-apt << 0.7.93.2).
* apt-inst/contrib/arfile.h:
  - Add public ARArchive::Members() which returns the list of members.
* debian/rules:
  - Fix the libraries name to be e.g. libapt-pkg4.9 instead of
    libapt-pkg-4.9.
debian/1.8.y
David Kalnischkies 13 years ago
parent
commit
a7307a8727
  1. 1
      apt-inst/contrib/arfile.h
  2. 22
      cmdline/apt-mark
  3. 16
      debian/changelog
  4. 1
      debian/control
  5. 4
      debian/rules
  6. 315
      doc/po/apt-doc.pot
  7. 334
      doc/po/de.po
  8. 5936
      doc/po/es.po
  9. 333
      doc/po/fr.po
  10. 321
      doc/po/it.po
  11. 333
      doc/po/ja.po
  12. 321
      doc/po/pl.po
  13. 321
      doc/po/pt_BR.po
  14. 367
      po/apt-all.pot
  15. 491
      po/de.po
  16. 14
      po/fr.po

1
apt-inst/contrib/arfile.h

@ -39,6 +39,7 @@ class ARArchive
// Locate a member by name
const Member *FindMember(const char *Name) const;
inline Member *Members() { return List; }
ARArchive(FileFd &File);
~ARArchive();

22
cmdline/apt-mark

@ -19,10 +19,10 @@ def show_automatic(filename):
if not os.path.exists(STATE_FILE):
return
auto = set()
tagfile = apt_pkg.ParseTagFile(open(STATE_FILE))
while tagfile.Step():
pkgname = tagfile.Section.get("Package")
autoInst = tagfile.Section.get("Auto-Installed")
tagfile = apt_pkg.TagFile(open(STATE_FILE))
for section in tagfile:
pkgname = section.get("Package")
autoInst = section.get("Auto-Installed")
if int(autoInst):
auto.add(pkgname)
print "\n".join(sorted(auto))
@ -33,24 +33,24 @@ def mark_unmark_automatic(filename, action, pkgs):
# open the statefile
if os.path.exists(STATE_FILE):
try:
tagfile = apt_pkg.ParseTagFile(open(STATE_FILE))
tagfile = apt_pkg.TagFile(open(STATE_FILE))
outfile = open(STATE_FILE+".tmp","w")
except IOError, msg:
print "%s, are you root?" % (msg)
sys.exit(1)
while tagfile.Step():
pkgname = tagfile.Section.get("Package")
autoInst = tagfile.Section.get("Auto-Installed")
for section in tagfile:
pkgname = section.get("Package")
autoInst = section.get("Auto-Installed")
if pkgname in pkgs:
if options.verbose:
print "changing %s to %s" % (pkgname,action)
newsec = apt_pkg.RewriteSection(tagfile.Section,
newsec = apt_pkg.rewrite_section(section,
[],
[ ("Auto-Installed",str(action)) ])
pkgs.remove(pkgname)
outfile.write(newsec+"\n")
else:
outfile.write(str(tagfile.Section)+"\n")
outfile.write(str(section)+"\n")
if action == 1:
for pkgname in pkgs:
if options.verbose:
@ -82,7 +82,7 @@ if __name__ == "__main__":
# get the state-file
if not options.filename:
STATE_FILE = apt_pkg.Config.FindDir("Dir::State") + "extended_states"
STATE_FILE = apt_pkg.config.find_dir("Dir::State") + "extended_states"
else:
STATE_FILE=options.filename

16
debian/changelog

@ -1,5 +1,10 @@
apt (0.7.26) UNRELEASED; urgency=low
[ Christian Perrier ]
* German translation update. Closes: #571037
* Spanish manpages translation update. Closes: #573293
[ David Kalnischkies ]
* Switch to dpkg-source 3.0 (native) format
* cmdline/apt-mark:
- don't crash if no arguments are given (Closes: #570962)
@ -23,7 +28,16 @@ apt (0.7.26) UNRELEASED; urgency=low
* apt-pkg/deb/debversion.cc:
- consider absent of debian revision equivalent to 0 (Closes: #573592)
-- David Kalnischkies <kalnischkies@gmail.com> Fri, 19 Feb 2010 21:21:43 +0100
[ Julian Andres Klode ]
* cmdline/apt-mark:
- Use the new python-apt API (and conflict with python-apt << 0.7.93.2).
* apt-inst/contrib/arfile.h:
- Add public ARArchive::Members() which returns the list of members.
* debian/rules:
- Fix the libraries name to be e.g. libapt-pkg4.9 instead of
libapt-pkg-4.9.
-- David Kalnischkies <kalnischkies@gmail.com> Sun, 14 Mar 2010 16:47:07 +0100
apt (0.7.26~exp2) experimental; urgency=low

1
debian/control

@ -13,6 +13,7 @@ Package: apt
Architecture: any
Depends: ${shlibs:Depends}, debian-archive-keyring, ${misc:Depends}
Provides: ${libapt-pkg:provides}
Conflicts: python-apt (<< 0.7.93.2~)
Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
Description: Advanced front-end for dpkg
This is Debian's next generation front-end for the dpkg package manager.

4
debian/rules

@ -78,8 +78,8 @@ APT_UTILS=ftparchive sortpkgs extracttemplates
include buildlib/libversion.mak
# Determine which package we should provide in the control files
LIBAPTPKG_PROVIDE=libapt-pkg-$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst-$(LIBAPTINST_MAJOR)
LIBAPTPKG_PROVIDE=libapt-pkg$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst$(LIBAPTINST_MAJOR)
debian/shlibs.local: apt-pkg/makefile
# We have 3 shlibs.local files.. One for 'apt', one for 'apt-utils' and

315
doc/po/apt-doc.pot

File diff suppressed because it is too large

334
doc/po/de.po

File diff suppressed because it is too large

5936
doc/po/es.po

File diff suppressed because it is too large

333
doc/po/fr.po

File diff suppressed because it is too large

321
doc/po/it.po

File diff suppressed because it is too large

333
doc/po/ja.po

File diff suppressed because it is too large

321
doc/po/pl.po

File diff suppressed because it is too large

321
doc/po/pt_BR.po

File diff suppressed because it is too large

367
po/apt-all.pot

File diff suppressed because it is too large

491
po/de.po

File diff suppressed because it is too large

14
po/fr.po

@ -9,9 +9,9 @@ msgstr ""
"Project-Id-Version: fr\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2010-01-11 15:17+0100\n"
"PO-Revision-Date: 2010-01-29 19:53+0100\n"
"PO-Revision-Date: 2010-02-27 07:25+0100\n"
"Last-Translator: Christian Perrier <bubulle@debian.org>\n"
"Language-Team: French <debian-l10n-french@lists.debian.org>\n"
"Language-Team: fr <debian-l10n-french@lists.debian.org>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
@ -1275,8 +1275,7 @@ msgstr "Impossible de satisfaire les dépendances %s pour %s : %s"
#: cmdline/apt-get.cc:2643
#, c-format
msgid "Build-dependencies for %s could not be satisfied."
msgstr ""
"Les dépendances de compilation pour %s ne peuvent pas être satisfaites."
msgstr "Les dépendances de compilation pour %s ne peuvent pas être satisfaites."
#: cmdline/apt-get.cc:2648
msgid "Failed to process build dependencies"
@ -2355,7 +2354,7 @@ msgstr "Verrou non utilisé pour le fichier %s se situant sur une partition nfs"
#: apt-pkg/contrib/fileutl.cc:178
#, c-format
msgid "Could not get lock %s"
msgstr "Impossible de verrouiller %s"
msgstr "Impossible d'obtenir le verrou %s"
#: apt-pkg/contrib/fileutl.cc:568
#, c-format
@ -2385,7 +2384,7 @@ msgstr "Le sous-processus %s s'est arrêté prématurément"
#: apt-pkg/contrib/fileutl.cc:632
#, c-format
msgid "Could not open file %s"
msgstr "Impossible de verrouiller %s"
msgstr "Impossible d'ouvrir le fichier %s"
#: apt-pkg/contrib/fileutl.cc:688
#, c-format
@ -2845,8 +2844,7 @@ msgstr "Somme de contrôle de hachage incohérente"
#: apt-pkg/acquire-item.cc:1150
msgid "There is no public key available for the following key IDs:\n"
msgstr ""
"Aucune clé publique n'est disponible pour la/les clé(s) suivante(s) :\n"
msgstr "Aucune clé publique n'est disponible pour la/les clé(s) suivante(s) :\n"
#: apt-pkg/acquire-item.cc:1260
#, c-format

Loading…
Cancel
Save